| GET | /RestApi/ab-testing/{id}/variations |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class GetABTestVariations
{
open var Id:UUID? = null
}
open class ABTestVariationsViewModel
{
open var Id:UUID? = null
open var PreviewLink:String? = null
open var IsPageSynced:Boolean? = null
open var Variations:ArrayList<ABTestVariationViewModel>? = null
}
open class ABTestVariationViewModel
{
open var VariatonId:UUID? = null
open var VariationName:String? = null
open var VariationLink:String? = null
open var IsWinner:Boolean? = null
open var Ordinal:Int? = null
}
Kotlin GetABTestVariations DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/{id}/variations HTTP/1.1
Host: www.imglobal.com
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"PreviewLink":"String","IsPageSynced":false}